Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon.util
Class FileUtils

    java.lang.Object
      |
      +--swing.addon.util.FileUtils

public class FileUtils
extends java.lang.Object

Constructor Summary
`FileUtils()`

Method Summary
`static int` | `countFilesIn(java.io.File startDirectory)` Recursively counts all files and directories in the startDirectory.
`static boolean` | `deleteDirectory(java.io.File directory)` Deletes a directory recursively.
`static boolean` | `deleteDirectory(java.lang.String directory)` Deletes a directory recursively.
`static boolean` | `doesExist(java.lang.String filename)`
`static java.lang.String[]` | `getSubdirectories(java.io.File startDirectory)` Returns an array which contains all subdirectories of the startDirectory.
`static java.lang.String[]` | `getSubdirectories(java.lang.String startDirectory)` Returns an array which contains all subdirectories of the startDirectory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### countFilesIn

    public static int countFilesIn(java.io.File startDirectory)

  Recursively counts all files and directories in the startDirectory. Filenames beginning with a dot will be ignored.

### deleteDirectory

    public static boolean deleteDirectory(java.lang.String directory)

  Deletes a directory recursively. If the argument is a file, it will be deleted.
  Parameters:
    `directory` - the directory to delete
  Returns:
    true on success, false otherwise

### deleteDirectory

    public static boolean deleteDirectory(java.io.File directory)

  Deletes a directory recursively. If the argument is a file, it will be deleted.
  Parameters:
    `directory` - the directory to delete
  Returns:
    true on success, false otherwise

### doesExist

    public static final boolean doesExist(java.lang.String filename)

### getSubdirectories

    public static java.lang.String[] getSubdirectories(java.io.File startDirectory)

  Returns an array which contains all subdirectories of the startDirectory. The startDirectory is in the list, too. The list is sorted alphabetically.

### getSubdirectories

    public static java.lang.String[] getSubdirectories(java.lang.String startDirectory)

  Returns an array which contains all subdirectories of the startDirectory. The startDirectory is in the list, too. The list is sorted alphabetically.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD